Subject: Re: IPsec AH use of ahash

From: Tom St Denis <[email-masked]>
Date: Sun, 20 Jan 2013 19:47:57 -0500 (EST)

----- Original Message -----
> From: "Steven Rostedt" <[email-masked]>
> To: "Tom St Denis" <[email-masked]>
> Cc: "Borislav Petkov" <[email-masked]>, "Eric Dumazet" <[email-masked]>, "Waskiewicz Jr, Peter P"
> <[email-masked]>, "David Miller" <[email-masked]>, "steffen klassert"
> <[email-masked]>, [email-masked], [email-masked], [email-masked],
> "Michal Kubecek" <[email-masked]>, "Mike Galbraith" <[email-masked]>
> Sent: Sunday, 20 January, 2013 5:07:22 PM
> Subject: Re: IPsec AH use of ahash
> 
> On Sun, Jan 20, 2013 at 07:56:27AM -0500, Tom St Denis wrote:
> > 
> > You should really try running checkpatch.pl over code that's
> > already in the kernel before you call out new contributors on it.
> > 
> > How is this supposed to not be adversarial when I can't even use
> > the Kernel source itself as a reference?
> 
> So there's a lot of crap code in the kernel (that we are trying to
> clean
> up when we have the time... see Kernel Janitors). But that's still no
> excuse to allow more crap code to enter. That means adding more crap
> to
> clean up.

Nowhere in the coding guidelines I've seen thus far says that you have to comment or document your code.

I wouldn't consider fixing "crap" code to mean to change indentation style [unless the original is horrible].  It's pointless busy work at best.

If you want to improve the quality of the code I'd start with /* and end with */ once in a while.

Tom